> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.youratlas.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.youratlas.com/_mcp/server.

# Get deployment statistics

GET https://api.youratlas.com/v1/api/dashboard/deployment-stats

Reference: https://docs.youratlas.com/api-reference/atlas-api/dashboard/get-deployment-stats

## Authentication

- `api-key` header (required) — Your Atlas API key. Get it from the Atlas Portal under Settings > API Keys.

## Request

### Query parameters

- `startDate` (datetime, optional)
- `endDate` (datetime, optional)

## Response

### 200

Successful response

- `totals` (DashboardStatsTotals, optional)
- `topCampaigns` (list of DashboardStatsTopCampaignsItems, optional)
- `elements` (DashboardStatsElements, optional)

## Errors

### 500 Internal Server Error

Internal server error

- `error` (ErrorError, optional)

## Types

### DashboardStatsTotals

- `Outbound` (CategoryStats, optional)
- `Inbound` (CategoryStats, optional)
- `Web` (CategoryStats, optional)

### DashboardStatsTopCampaignsItems

- `campaignId` (string, optional)
- `calls` (double, optional)
- `connectionRate` (double, optional)

### DashboardStatsElements

- `agents` (integer, optional)
- `contacts` (integer, optional)
- `knowledgeFiles` (integer, optional)
- `actions` (integer, optional)

### ErrorError

- `message` (string, optional)
- `code` (string, optional)
- `requestId` (string, optional)

### CategoryStats

- `calls` (integer, optional)
- `durationMs` (integer, optional)
- `connectionRate` (double, optional)
- `successCalls` (integer, optional)
- `bookingsMade` (integer, optional)
- `transfersMade` (integer, optional)
- `lastCallDate` (string, optional)

## Examples

**Response**

```json
{
  "totals": {
    "Outbound": {
      "calls": 1,
      "durationMs": 1,
      "connectionRate": 1.1,
      "successCalls": 1,
      "bookingsMade": 1,
      "transfersMade": 1,
      "lastCallDate": "string"
    },
    "Inbound": {
      "calls": 1,
      "durationMs": 1,
      "connectionRate": 1.1,
      "successCalls": 1,
      "bookingsMade": 1,
      "transfersMade": 1,
      "lastCallDate": "string"
    },
    "Web": {
      "calls": 1,
      "durationMs": 1,
      "connectionRate": 1.1,
      "successCalls": 1,
      "bookingsMade": 1,
      "transfersMade": 1,
      "lastCallDate": "string"
    }
  },
  "topCampaigns": [
    {
      "campaignId": "string",
      "calls": 1.1,
      "connectionRate": 1.1
    }
  ],
  "elements": {
    "agents": 1,
    "contacts": 1,
    "knowledgeFiles": 1,
    "actions": 1
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.youratlas.com/v1/api/dashboard/deployment-stats"

headers = {"api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.youratlas.com/v1/api/dashboard/deployment-stats';
const options = {method: 'GET', headers: {'api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.youratlas.com/v1/api/dashboard/deployment-stats"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.youratlas.com/v1/api/dashboard/deployment-stats")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.youratlas.com/v1/api/dashboard/deployment-stats")
  .header("api-key", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.youratlas.com/v1/api/dashboard/deployment-stats', [
  'headers' => [
    'api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.youratlas.com/v1/api/dashboard/deployment-stats");
var request = new RestRequest(Method.GET);
request.AddHeader("api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.youratlas.com/v1/api/dashboard/deployment-stats")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```